# Getting Users Resilience

Use `/resilience` endpoint to request a user's resilience:

<mark style="color:blue;">`GET`</mark> `/api/v1.1/resilience`

#### Query Parameters

| Name                                           | Type   | Description                                                                            |
| ---------------------------------------------- | ------ | -------------------------------------------------------------------------------------- |
| model\_type<mark style="color:red;">\*</mark>  | String | <p>Model to use.<br>Either <code>steps</code> or <code>bpm</code> (for heart rate)</p> |
| device\_name<mark style="color:red;">\*</mark> | String | A unique device name like `iPhone` or `Apple Watch`                                    |

#### Headers

| Name                                            | Type   | Description      |
| ----------------------------------------------- | ------ | ---------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer \<token>  |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json |

{% tabs %}
{% tab title="200: OK The resilience was calculated" %}

{% endtab %}

{% tab title="404: Not Found Not enough data to calculate the resilience" %}

{% endtab %}
{% endtabs %}

{% code title="REQUEST (EXAMPLE)" %}

```bash
curl 'https://<api-proxy-hostname>/api/v1.1/resilience?model_type=steps&device_name=iPhone' \
     -H 'accept: application/json' \
     -H 'Authorization: Bearer <token>' \
     -H 'Content-Type: application/json'
```

{% endcode %}

{% code title="200 – RESPONSE (EXAMPLE)" %}

```json
{
  "user_id": "85b4453a-46de-484c-bbc2-12666ebc7ed9",
  "device_name": "iphone",
  "model_type": "steps",
  "resilience": 2
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.gerosense.ai/gerosense-api-proxy-reference/getting-users-resilience.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
